#define F_CPU 8000000UL

#include <avr/io.h>
#include <util/delay.h>
#include <string.h>
#include <stdlib.h>
#include "hcsr04.h"
#include "LCD.h"

inline void prepareText(char * text, int distance) {
  char textDistance[5];
  itoa(distance, textDistance, 10);
  strcat(text, "D=");
  strcat(text, textDistance);
  strcat(text, "mm");
}

int main(void) {
  _delay_ms(100);
  lcdInit();
  lcdClear();
  lcdSetDisplay(LCD_DISPLAY_ON);
  lcdSetCursor(LCD_CURSOR_OFF);

  int distance;
  char text[17];
  while (1) {
    text[0] = '\0';
    distance = getDistance();
    prepareText(text, distance);
    lcdClear();
    lcdGotoXY(0, 0);
    lcdPuts(text);
    _delay_ms(333);
  }
}
